{+--------------------------------------------------------------------------+
 | Created:     8.97
 | Author:      Martin Waldenburg
 | Copyright    1997, all rights reserved.
 | Description: Simple demo for Ipos.
 | Status:      FreeWare
 | Disclaimer:
 | This is provided as is, expressly without a warranty of any kind.
 | You use it at your own risc.
 +--------------------------------------------------------------------------+}

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, mwIPos,
  StdCtrls, mwFastTime;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Time1: TmwFastTime;
    Edit1: TEdit;
    Edit3: TEdit;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
var
  TextLine: String;
  I, P, LoopCount: Integer;
begin
  LoopCount:= 100000;
  TextLine:= '  TForm1 = CLASS(TForm)';
  Time1.Start;
  for I:= 1 to LoopCount do
  begin
    P:= IPos(PChar('cLaSs'), PChar(TextLine));
    { Because of a compiler bug there is a problem with
      single char pattern. (not in vars) In this case you need
      to call like below
      IPos(PChar('c'#0), PChar(TextLine));}
  end;
  Time1.Stop;
  Edit1.Text:= 'LoopCount: ' + IntToStr(P);
  Edit3.Text:= Time1.ElapsedTime;
end;

procedure TForm1.Button2Click(Sender: TObject);
var
  TextLine: String;
  I, P, LoopCount: Integer;
begin
  LoopCount:= 100000;
  TextLine:= '  TForm1 = CLASS(TForm)';
  Time1.Start;
  for I:= 1 to LoopCount do
  begin
    P:=  Pos('CLASS', UpperCase(TextLine));
  end;
  Time1.Stop;
  Edit1.Text:= 'LoopCount: ' + IntToStr(P);
  Edit3.Text:= Time1.ElapsedTime;
end;

end.
